module Pod
  class Command
    class GenerateSegueHandlers < Command

      self.summary = 'Generate segue handlers for the project'
      self.description = <<-DESC
        Generate segue handlers for storyboards in this project.
      DESC

      def self.options
        []
      end

      def initialize(argv)
        unless argv.empty?
          @project_dir = argv.shift_argument
          @project_name = argv.shift_argument
        end
        super
      end

      def validate!
        super
      end

      def run
        puts `PROJECT_DIR=#{@project_dir} PROJECT_NAME=#{@project_name} segue-handler-generator-build`
      end
    end
  end
end
